Bug 624459 (perl-Text-German) - Review Request: perl-Text-German - German grundform reduction
Summary: Review Request: perl-Text-German - German grundform reduction
Status: CLOSED ERRATA
Alias: perl-Text-German
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Text-German/
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Lingua-Stem
TreeView+ depends on / blocked
 
Reported: 2010-08-16 14:34 UTC by Iain Arnell
Modified: 2010-09-02 20:41 UTC (History)
3 users (show)

Fixed In Version: perl-Text-German-0.06-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 05:50:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-08-16 14:34:09 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Text-German.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Text-German-0.06-1.fc15.src.rpm

Description:
This is a rather incomplete implementation of work done by Gudrun Putze-Meier.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2403869

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-08-22 10:15:04 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-08-22 10:29:08 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2416854

 [x] Rpmlint output:
perl-Text-German.noarch: W: spelling-error Summary(en_US) grundform -> Grundyism, landform, Grundy
perl-Text-German.src: W: spelling-error Summary(en_US) grundform -> Grundyism, landform, Grundy
perl-Text-German.src: W: no-cleaning-of-buildroot %clean
perl-Text-German.src: W: no-buildroot-tag
perl-Text-German.src: W: no-%clean-section
perl-Text-German.spec: W: no-cleaning-of-buildroot %clean
perl-Text-German.spec: W: no-buildroot-tag
perl-Text-German.spec: W: no-%clean-section
2 packages and 1 specfiles checked; 0 errors, 8 warnings.


 [x] Package is not relocatable.
 [x] Buildroot is correct
No buildroot defined, default is used

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
9e968525f7385c80d636a4ba68d27bf4  Text-German-0.06.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2416854
 [!] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=2, Tests=34,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.03 cusr  0.00 csys =  0.05 CPU)
Result: PASS

APPROVED.

Comment 3 Iain Arnell 2010-08-23 03:09:01 UTC
New Package CVS Request
=======================
Package Name: perl-Text-German
Short Description: German grundform reduction
Owners: iarnell
Branches: F-13 F-14
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-08-23 21:18:16 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-08-24 03:19:46 UTC
perl-Text-German-0.06-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-Text-German-0.06-1.fc14

Comment 6 Fedora Update System 2010-08-24 03:19:51 UTC
perl-Text-German-0.06-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Text-German-0.06-1.fc13

Comment 7 Fedora Update System 2010-08-24 21:14:58 UTC
perl-Text-German-0.06-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-German'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Text-German-0.06-1.fc13

Comment 8 Fedora Update System 2010-09-01 05:50:20 UTC
perl-Text-German-0.06-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-02 20:41:27 UTC
perl-Text-German-0.06-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.